// Copyright (c) 2022 NetEase, Inc. All rights reserved.
// Use of this source code is governed by a MIT license that can be
// found in the LICENSE file.

#import "FLTRoomVideoRendererDelegate.h"
#import "FLTRoomVideoRenderer.h"

@implementation FLTRoomVideoRendererDelegate
- (FlutterError *_Nullable)onListenWithArguments:(id _Nullable)arguments
                                       eventSink:(FlutterEventSink)events {
  if (self.listenBlock) {
    self.listenBlock(events);
  }
  return nil;
}

- (FlutterError *_Nullable)onCancelWithArguments:(id _Nullable)arguments {
  if (self.cancleBlock) {
    self.cancleBlock();
  }
  return nil;
}
@end
