// Copyright (c) 2022 NetEase, Inc. All rights reserved.
// Use of this source code is governed by a MIT license that can be
// found in the LICENSE file.

#import <Flutter/Flutter.h>
#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

typedef void (^CancleBlock)(void);
typedef void (^ListenBlock)(FlutterEventSink);

@interface FLTRoomVideoRendererDelegate : NSObject <FlutterStreamHandler>
@property(nonatomic, copy) CancleBlock cancleBlock;
@property(nonatomic, copy) ListenBlock listenBlock;
@end

NS_ASSUME_NONNULL_END
